Name:           haserl
BuildRequires:  automake
BuildRequires:  lua-devel
BuildRequires:  gcc-c++
#BuildRequires:  pkg-config
#Version:        0.8.0
Version:        0.9.35
Release:        1%{?dist}
Url:            http://haserl.sourceforge.net/
Source:         http://surfnet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source2:        http://geology.cr.usgs.gov/energy/Logfilter0.4/minunit.h
# FIX-UPSTREAM coolo@novell.com - fix makefile syntax
Patch0:         fix-make.diff
License:        GPL-2.0
Summary:        CGI scripting with shell/lua
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Tools/GUI Builders

%description
Haserl	is a small cgi wrapper that allows "PHP" style cgi programming,
but uses a UNIX bash-like shell or lua	as the programming language. It
is  very  small,  so  it can be used in embedded environments, or where
something like PHP is too big.

It combines three features into a small cgi engine: *  It parses 
   POST  and  GET  requests,  placing  form-elements  as name=value
   pairs into the environment for the CGI script to use. This is
   somewhat like the uncgi wrapper.

*  It opens a shell, and translates all text into printable
   statements. All text within <? ... ?> constructs are passed
   verbatim to the shell.  This is somewhat like writing PHP
   scripts.

*  It can optionally be installed to drop its  permissions  to	the
owner  of the script, giving it some of the security features of suexec
or cgiwrapper.

%prep
%setup
#%patch0 -p1
#cp -p %SOURCE2 tests/
autoreconf -fi

%build
#RPM_OPT_FLAGS=$(echo "$RPM_OPT_FLAGS" | sed 's/\-O2/-Os/g')
# Sidenote: --with-lua only applies to 0.9.x
CFLAGS="$RPM_OPT_FLAGS" \
        ./configure --with-lua --enable-bash-extensions \
	--enable-subshell=/bin/bash --prefix=/usr \
        --mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} \
        --libexecdir=%{_libdir} %{_target_cpu}-suse-linux
make

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/haserl
#%dir /usr/share/haserl
#/usr/share/haserl/*
%{_mandir}/man1/haserl.1.gz

%changelog
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Oct 12 2010 coolo@novell.com
- add patch to fix makefile syntax
* Sun Sep 26 2010 ro@suse.de
- add pkg-config to buildrequires
* Tue Aug 19 2008 garloff@suse.de
- Update to haserl-0.9.24:
  * bash extensions
  * regression tests (make check)
  * docu updates
  * myputenv enhancements
  * observe CONTENT_LENGTH
* Thu Nov 29 2007 garloff@suse.de
- Update to haserl-0.9.21:
  * Command line option handling reworked
  * major refactoring
  * various little bugs killed
  * lua support
  * custom handler for uploading large files
  * new comment tag
* Tue Jul 10 2007 garloff@suse.de
- Initial creation of package haserl-0.8.0
